package library.core.object;

import library.core.model.CoreModel;
import library.core.view.CoreView;

public class CoreObject implements Cloneable{


	private CoreModel model;
	private CoreView view;

	public CoreObject(CoreModel model,CoreView view){

		this.model=model;
		this.view=view;

	}


	@Override
	public CoreObject clone(){

		CoreObject c=null;

		try {
			c=(CoreObject) super.clone();
			c.model=this.model.clone();
			c.view=this.view.clone();
			c.view.setModel(c.model);
		} catch (CloneNotSupportedException e) {
			// TODO 自動生成された catch ブロック
			e.printStackTrace();
		}

		return null;

	}


	public CoreModel getModel() {
		return model;
	}


	public void setModel(CoreModel model) {
		this.model = model;
	}


	public CoreView getView() {
		return view;
	}


	public void setView(CoreView view) {
		this.view = view;
	}



}
